<?php
include_once '_user.php';

if(user_has_flag(current_user_id(), FMF_UF_NEWSTYLE))
    $_GET['_new'] = true;
?>
<!doctype html>
<html>
    <head>
        <meta charset="utf-8"/>
        <meta name="viewport" content="width=device-width, initial-scale=1"/>
        <title><?=$title ?? 'flash.moe message board';?></title>
<?php if(isset($_GET['_new'])): ?>
        <link href="//flash.moe/assets/2020v2.css" type="text/css" rel="stylesheet"/>
        <link href="//flash.moe/assets/sprite.css" type="text/css" rel="stylesheet"/>
        <link href="//flash.moe/css/electrolize/style.css" type="text/css" rel="stylesheet"/>
        <link href="/style2.css" type="text/css" rel="stylesheet"/>
<?php else: ?>
        <link href="/style.css" type="text/css" rel="stylesheet"/>
<?php endif; ?>
    </head>
    <body>
<?php if(!isset($_GET['_new'])): ?>
        <div class="wrapper<?php if(user_has_flag(current_user_id(), FMF_UF_SCROLLBEYOND)) { echo ' scrollbeyond'; }?>">
<?php endif; ?>
            <div class="header">
<?php if(isset($_GET['_new'])): ?>
                <div class="header-background">
                    <img src="//flash.moe/assets/headers/mkt-044.jpg" alt="//flash.moe/assets/headers/mkt-044.jpg"/>
                </div>
                <div class="header-foreground">
                    <a class="header-logo" href="/">
                        <div class="header-flash">flash.moe&nbsp;</div>
                        <div class="header-wave">message board</div>
                    </a>
                    <div class="header-menu">
                        <a href="/">Home</a>
                        <?php if(session_active()) { ?>
                        <a href="/settings">Settings</a>
                        <a href="/logout/<?=logout_token();?>">Log out</a>
                        <?php } else { ?>
                        <a href="/login">Log in</a>
                        <a href="/register">Register</a>
                        <?php } ?>
                    </div>
                </div>
<?php else: ?>
                <h1>flash.moe message board</h1>
                <div class="header-wrap">
                    <div class="header-nav">
                        <a href="/">Home</a>
                        <?php if(session_active()) { ?>
                        <a href="/settings">Settings</a>
                        <a href="/logout/<?=logout_token();?>">Log out</a>
                        <?php } else { ?>
                        <a href="/login">Log in</a>
                        <a href="/register">Register</a>
                        <?php } ?>
                    </div>
                    <?php if(empty($hideSearch)) { ?>
                    <form method="get" action="/search" class="header-search">
                        <input type="search" name="q"/>
                        <input type="submit" value="Search"/>
                    </form>
                    <?php } ?>
                </div>
<?php endif; ?>
            </div>
<?php if(isset($_GET['_new'])): ?>
            <div class="container">
                <div class="wrapper<?php if(user_has_flag(current_user_id(), FMF_UF_SCROLLBEYOND)) { echo ' scrollbeyond'; }?>">
                    <?php if(empty($hideSearch)) { ?>
                    <form method="get" action="/search" class="header-search">
                        <input type="search" name="q"/>
                        <input type="submit" value="Search"/>
                    </form>
                    <?php } ?>
<?php endif; ?>
            <div class="forum-shutdown">
                This message board will be taken offline in May 2021. Registration and posting have already been disabled.<br/>
                <a href="https://flashii.net/forum/topic.php?t=688">Musewave support has moved to a forum topic on Flashii.net.</a>
            </div>